# devsupp.c File Reference

Contains definitions for device types (i.e. at90s8515, at90s2313, etc.). More...

Go to the source code of this file.

## Functions
int | dev_supp_has_ext_io_reg (DevSuppDefn *dev)
int | dev_supp_get_flash_sz (DevSuppDefn *dev)
int | dev_supp_get_PC_sz (DevSuppDefn *dev)
int | dev_supp_get_stack_sz (DevSuppDefn *dev)
int | dev_supp_get_vtab_idx (DevSuppDefn *dev)
int | dev_supp_get_sram_sz (DevSuppDefn *dev)
int | dev_supp_get_xram_sz (DevSuppDefn *dev)
DevSuppDefn * | dev_supp_lookup_device (char *dev_name)
void | dev_supp_list_devices (FILE *fp)
void | dev_supp_attach_io_regs (AvrCore *core, DevSuppDefn *dev)

## Detailed Description

Contains definitions for device types (i.e. at90s8515, at90s2313, etc.).

This module is used to define the attributes for each device in the AVR family. A generic constructor is used to create a new AvrCore object with the proper ports, built-in peripherals, memory layout, registers, and interrupt vectors, etc.

Definition in file devsupp.c.

## Function Documentation

DevSuppDefn* dev_supp_lookup_device | ( | char * | dev_name | ) |

Look up a device name in support list.

Returns:
  An opaque pointer to DevSuppDefn or NULL if not found.

Definition at line 266 of file devsupp.c.

Referenced by avr_core_new().

void dev_supp_list_devices | ( | FILE * | fp | ) |

Print a list of supported devices to a file pointer.

Definition at line 286 of file devsupp.c.

Automatically generated by Doxygen 1.5.5 on 7 Nov 2008.